Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lpsolve
Interface LogListener

public interface LogListener

Classes that implement this interface may be passed to the `putLogfunc` method of the `LpSolve` class.

Author:
  Juergen Ebert
See Also:
  `LpSolve.putLogfunc(lpsolve.LogListener, java.lang.Object)`, "lp_solve documentation for 'put_logfunc'"

Method Summary
`void` | `logfunc(LpSolve problem, java.lang.Object userhandle, java.lang.String buf)` When set, the log routine is called when lp_solve has someting to report (error conditions or so).

Method Detail

### logfunc

    public void logfunc(LpSolve problem,
                        java.lang.Object userhandle,
                        java.lang.String buf)
                 throws LpSolveException

  When set, the log routine is called when lp_solve has someting to report (error conditions or so).

  Parameters:
    `problem` - the problem this Listener was defined for
    `userhandle` - the userhandle object that was passed to `putLogfunc`
    `buf` - the log message
  Throws:
    `LpSolveException`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 - Juergen Ebert